summaryrefslogtreecommitdiffstats
path: root/source/l/hal/hal.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/hal/hal.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/hal/hal.SlackBuild')
-rwxr-xr-xsource/l/hal/hal.SlackBuild15
1 files changed, 13 insertions, 2 deletions
diff --git a/source/l/hal/hal.SlackBuild b/source/l/hal/hal.SlackBuild
index 967136868..57d9e3bc6 100755
--- a/source/l/hal/hal.SlackBuild
+++ b/source/l/hal/hal.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=hal
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:--j7}
@@ -90,6 +90,17 @@ zcat $CWD/patches/fix_ioperm_arguments.patch.gz | patch -p1 --verbose || exit 1
# Fix segfaults from not calling dbus_error_init() early enough
zcat $CWD/patches/fix_segfault-dbus_error_init.patch.gz | patch -p1 --verbose || exit 1
+# Ignore internal DM devices with new DM udev rules
+# https://bugzilla.redhat.com/show_bug.cgi?id=613909
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=586286
+zcat $CWD/patches/ignore_internal_dm_devices.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix build with automake 1.11.1
+zcat $CWD/patches/fix-build-with-automake-1.11.1.patch | patch -p1 --verbose || exit 1
+
+# Fix segfault in hald/linux/device.c
+zcat $CWD/patches/fix-hal-segfault.patch | patch -p1 --verbose || exit 1
+
autoconf
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -107,7 +118,7 @@ CXXFLAGS="$SLKCFLAGS" \
--with-pid-file=/var/run/hald/pid \
--enable-parted \
--disable-policy-kit \
- --disable-console-kit \
+ --enable-console-kit \
--disable-acl-management \
--enable-umount-helper \
--enable-sonypic \